{% load wagtailcore_tags wagtailimages_tags %}

<section class="mb-8 lg:mb-16">
  {% for block in page.content %}

    {% if block.block_type == "title" %}
      <h1 class="head-alt-md md:head-alt-lg max-w-5xl my-6 lg:mt-16">{{ block.value }}</h1>
    {% endif %}


    {% if block.block_type == "text" %}
      <div class="content-block my-4 clearfix{% if forloop.first %} mt-8 lg:mt-12{% endif %}">
        {{ block.value|richtext }}
      </div>
    {% endif %}

    {% if block.block_type == "text_centered" %}
      <div class="content-block my-4 clearfix{% if forloop.first %} mt-8 lg:mt-12{% endif %} text-center">
        {{ block.value|richtext }}
      </div>
    {% endif %}

    {% if block.block_type == "text_justify" %}
      <div class="content-block my-4 clearfix{% if forloop.first %} mt-8 lg:mt-12{% endif %} text-justify">
        {{ block.value|richtext }}
      </div>
    {% endif %}

    {% if block.block_type == "text_3_columns" %}
        <div class="lg:flex clearfix">
          {% for column in block.value %}
          <div class="content-block lg:w-1/3 text-center text-justify">
            {{ column.value|richtext }}
          </div>
          {% endfor %}
        </div>
    {% endif %}

    {% if block.block_type == "carousel" %}
      <div id="carouselExampleControls" class="carousel slide" data-ride="carousel">
        <div class="carousel-inner">
          {% for picture in block.value %}
            {% image picture width-2000 as img %}
            <div class="carousel-item {% if forloop.first %}active{% endif %}">
              <img class="d-block w-100" src="{{ img.url }}" alt="First slide">
            </div>
          {% endfor %}
        </div>
        <a class="carousel-control-prev" href="#carouselExampleControls" role="button" data-slide="prev">
          <span class="carousel-control-prev-icon" aria-hidden="true"></span>
          <span class="sr-only">Previous</span>
        </a>
        <a class="carousel-control-next" href="#carouselExampleControls" role="button" data-slide="next">
          <span class="carousel-control-next-icon" aria-hidden="true"></span>
          <span class="sr-only">Next</span>
        </a>
      </div>
    {% endif %}

    {% if block.block_type == "carousel_text" %}
      <div id="carouselExampleControls" class="carousel slide carousel--text" data-ride="carousel">
        <div class="carousel-inner h-100">
          {% for picture in block.value %}
            <div class="carousel-item {% if forloop.first %}active{% endif %} text-center h-100">
              {{ picture|richtext }}
            </div>
          {% endfor %}
        </div>
        <a class="carousel-control-prev " href="#carouselExampleControls" role="button" data-slide="prev">
          <span class="carousel-control-prev-icon bg-black" aria-hidden="true"></span>
          <span class="sr-only">Previous</span>
        </a>
        <a class="carousel-control-next" href="#carouselExampleControls" role="button" data-slide="next">
          <span class="carousel-control-next-icon bg-black" aria-hidden="true"></span>
          <span class="sr-only">Next</span>
        </a>
      </div>
    {% endif %}

    {% if block.block_type == "FAQ" %}
      <div class="faq" id="faqAccordion">

        <div class="row">
          {% for faq in block.value %}
            {% include_block faq %}
          {% endfor %}
        </div>
      </div>
    {% endif %}

    {% if block.block_type == "meps" %}
      {% include_block block %}
    {% endif %}


  {% endfor %}
</section>
